<?php

namespace App\Services\File;

use App\Libraries\BIM\Glendale\Glendale;
use App\Models\BimFile;

class BimService
{
    /**
     * 更新模型轻量化状态
     * @param string $bimFileId
     * @param int $sourceStatus
     * @return void
     */
    public function setGlendaleModelCovertStatus(string $bimFileId, int $sourceStatus)
    {
        if (empty($bimFileId)) {
            return;
        }

        $convertStatus = Glendale::mapSourceStatus($sourceStatus);
        $bimFile = BimFile::where("bim_file_id", $bimFileId)->where('bim_driver', 'glendale')->first();

        if ($bimFile && ($bimFile->convert_status != $convertStatus || $bimFile->source_status != $sourceStatus)) {
            $bimFile->convert_status = $convertStatus;
            $bimFile->source_status = $sourceStatus;
            $bimFile->save();
        }
    }
}
